#ifndef APISANDBOX_H
#define APISANDBOX_H

#include <sys/types.h>
#include <sys/socket.h>
#include <stdlib.h>
#include <netinet/in.h>
#include <netinet/ip.h>
#include <arpa/inet.h>
#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <pwd.h>
#include <fcntl.h>
#include <errno.h>
#include "struct.hpp"

extern "C" {
#include "log.h"
}

// Sandbox sandbox;
void sendAnswer(request_t *req, matrixPayload_t *payload, int socket);
/*---------------------------------------------------------------------------*-
   childServer()
  -----------------------------------------------------------------------------
   Description    : Code of the child server
-*---------------------------------------------------------------------------*/
void *childServer(void *new_socket);

/*---------------------------------------------------------------------------*-
   main()
  -----------------------------------------------------------------------------
   Description    : Main server (mutli-client)
-*---------------------------------------------------------------------------*/

void APISandbox();
#endif
