#ifndef BORDEREDIT_H
#define BORDEREDIT_H
#include <opencv2/opencv.hpp>
class BorderEdit
{
private:
    static const int margeClick = 10;
    static constexpr char *wndname = (char *)"Sandbox Border Finder";
    static cv::Mat frameImage;
    // OPENCV - MANUEL RECT CHANGE
    static void drawSquare(cv::Point *p, int n);
    static int findPoints(int x, int y, std::vector<cv::Point> &posSandbox);
    static void mouseHandler(int event, int x, int y, int, void *param);

public:
    static void edit(cv::Mat frame, std::vector<cv::Point> *posSandbox);
};
#endif