#ifndef BORDERFINDER_H
#define BORDERFINDER_H
#include <opencv2/opencv.hpp>
class BorderFinder
{
private:
    // helper function:
    // finds a cosine of angle between vectors
    // from pt0->pt1 and from pt0->pt2
    double angle(cv::Point pt1, cv::Point pt2, cv::Point pt0);
    cv::Mat frameImage;
    cv::Rect rotateRect(cv::Rect rect, int heightPercentage, int widthPercetange);

public:
    float calculDistance(float point1[], float point2[]);
    BorderFinder(cv::Mat frame);
    bool find(cv::Rect &rect);
};
#endif