import sys
sys.path.append('../../api_sandbox/api/py')
import libsandbox

USAGE = "USAGE: python sandbox.py <adresse_IPv4:Numero_de_port>\n"

if __name__ == '__main__':
    if len(sys.argv) == 2:
        host, port = sys.argv[1].split(":", 1)
        sandbox = Sandbox(host, port)
        
        frame = sandbox.get_depth_frame()

        #filter
        median = np.median(filter(lambda x: x > 0, frame))
        frame[frame < 500] = int(median)
        frame[frame > 1200] = median
        points = []
        for i in range(h):
            for j in range(w):
                points.append([j,i, 2100 - frame[i*w+j]])
        #draw
        pcd = open3d.geometry.PointCloud()
        pcd.points = open3d.utility.Vector3dVector(points)
        # open3d.io.write_point_cloud("sync.ply", pcd)
        open3d.visualization.draw_geometries([pcd])

        #client.end_connection()
    else:
        print(USAGE)
