#ifndef STRUCT_H
#define STRUCT_H

#define MAGIC_REQ 0x76767676
#define MAGIC_ANS 0x87878787

typedef struct
{
   unsigned int width;
   unsigned int height;
   unsigned char type;
   unsigned char nbCanal;
   unsigned char *data;
} __attribute__((__packed__)) matrixPayload_t;

typedef struct
{
   unsigned int magic = MAGIC_REQ;
   unsigned int id;
   unsigned char idAction;
   unsigned int lengthPayload;
} __attribute__((__packed__)) request_t;

typedef struct
{
   unsigned int magic = MAGIC_ANS;
   int error;
   unsigned int id;
   unsigned int lengthPayload;
} __attribute__((__packed__)) answer_t;

#endif