#ifndef BEAMER_H
#define BEAMER_H
#include <opencv2/opencv.hpp>
#include "camera.h"
class Beamer
{

    const char *BEAMER_POSITION_FILE = "./backend/config/beamer.dat";
    float solveD(cv::Vec3f v, cv::Point3f p);
    cv::Point3f intersection(cv::Vec3f v1, cv::Point3f p1, cv::Vec3f v2, cv::Point3f p2, cv::Vec3f v3, cv::Point3f p3, bool &isFound);
    std::vector<int> findCercleZ(cv::Mat &rgb);
    cv::Point3f beamerPosition;
public:
    Beamer();
    static const int width = 1400;
    static const int height = 1050;
    cv::Point3f getPosition()
    {
        return beamerPosition;
    };
    void findBeamer(Camera camera);
};
#endif